using Syntriax.Modules.ToggleState;

namespace Syntriax.Modules.Trigger
{
    public class ColliderTrigger : TriggerBase
    {
        protected IColliderTriggerArea colliderTrigger = null;

        private void Awake()
        {
            colliderTrigger = GetComponent<IColliderTriggerArea>();
        }

        private void FixedUpdate()
        {
            if (!ToggleStateMember.IsToggledNullChecked())
                return;

            IsTrigerred = colliderTrigger.Check();
        }
    }
}
